Loading...
Searching...
No Matches
MolInterchange.h File Reference

Contains the public API for the convertors to/from the commonchem interchange format. More...

`#include <RDGeneral/export.h>`
`#include <string>`
`#include <iostream>`
`#include <vector>`
`#include <boost/shared_ptr.hpp>`

Go to the source code of this file.

## Classes

struct | RDKit::MolInterchange::JSONParseParameters
struct | RDKit::MolInterchange::JSONWriteParameters

## Namespaces

namespace | RDKit
| Std stuff.
namespace | RDKit::MolInterchange

## Functions

RDKIT_MOLINTERCHANGE_EXPORT std::vector< boost::shared_ptr< ROMol > > | RDKit::MolInterchange::JSONDataStreamToMols (std::istream *inStream, const JSONParseParameters &params=defaultJSONParseParameters)
RDKIT_MOLINTERCHANGE_EXPORT std::vector< boost::shared_ptr< ROMol > > | RDKit::MolInterchange::JSONDataToMols (const std::string &jsonBlock, const JSONParseParameters &params=defaultJSONParseParameters)
template<typename T >
RDKIT_MOLINTERCHANGE_EXPORT std::string | RDKit::MolInterchange::MolsToJSONData (const std::vector< T > &mols, const JSONWriteParameters &params=defaultJSONWriteParameters)
template<typename T >
std::string | RDKit::MolInterchange::MolToJSONData (const T &mol, const JSONWriteParameters &params=defaultJSONWriteParameters)

## Variables

static JSONParseParameters | RDKit::MolInterchange::defaultJSONParseParameters
static JSONWriteParameters | RDKit::MolInterchange::defaultJSONWriteParameters

## Detailed Description

Contains the public API for the convertors to/from the commonchem interchange format.

Note that this should be considered beta and that the format and API will very likely change in future releases.

More information about CommonChem is available here: https://github.com/mcs07/CommonChem

Definition in file MolInterchange.h.